Subject: OS/2 port of REND386

From: [email-masked] (John Collier)
Date: Wed, 1 Dec 1993 13:26:45 -0500 (EST)

Hi,

Everybody keeps talking about limits to polygons due to memory.  
I think a lot of benefit could come by going to a full 32-bit OS.  OS/2 does
support x mode vga.  I am thinking about trying to port it.  Has anybody else
thought about it?

Benefits:

	OS/2 supports (partially) multiple monitors
	Full 32 bit instruction set
	Flat memory ( no 640 k barrier )
	multiple threads of execution
	...

How 'bout it?
-- 
John Collier						MTL Systems, Inc.
[email-masked]					3481 Dayton-Xenia Rd.
Office Phone: (513) 426-3111				Dayton, OH 45432-2796
Fax:	      (513) 426-8301

---

From: [email-masked] (Stephen Williams)
Date: Wed, 1 Dec 1993 15:13:58 -0500 (EST)

> support x mode vga.  I am thinking about trying to port it.  Has anybody else

Linux would be a much better choice!!!!!!

It's very fast, has both raw and X-Windows graphics access, has
dos virtual machine support, full source code for everything,
including the kernal and graphics device access, etc.

It even runs on top of the MSDOS filesystem if needed.  It can access
HPFS systems (read-only so far) also.

It has very fast multiple process support, but no threading that I
know of yet.  Some people are working on a port to Mach, which would
give great threads probably.

TCP/IP, NFS, etc., etc., etc.

As a matter of fact, even if slow it would be great to have a virtual
system that was X-rated and integrate it into Mosaic.  It already
supports hypertext, ftp, gopher, wais, forms, gif, jpeg, mpeg, sound,
etc.  Under X-windows, MS-Windows, and Mac.

-- 
Stephen D. Williams  Local Internet Gateway Co.; SDW Systems 513 496-5223APager
LIG dev./sales       Internet: [email-masked] CIS [email-masked]
OO R&D Source Dist.  By Horse: 2464 Rosina Dr., Miamisburg, OH 45342-6430
GNU Support          ICBM: 39 34N 85 15W I love it when a plan comes together

---

From: Chris Hand <[email-masked]>
Date: Wed, 1 Dec 93 22:47:09 GMT

> Linux would be a much better choice!!!!!!

Linux already has multiverse (see announcement for Linux binaries
on multiverse list).

As far as OS/2 goes -- fine, if you have OS/2!  Porting the code
to a flat memory model woulds be sufficiently difficult that you 
might as well port to GCC with DOS-extender at the same time, which
would benefit all the other OS/2-less people.

There was some talk of attempting a port to GCC last summer; doubtless
running in protected mode with 32-bit code and a flat memory
model would speed things up a bit... but it's probably going to be
a lot of work.

Chris

-- 
Chris Hand, Lecturer                      | Dept of Computing Science,
Internet e-mail: [email-masked]            | De Montfort University, The Gateway 
 Reality is 80 Million polygons/second    | LEICESTER, UK   LE1 9BH            
WWW: <A HREF="http://qadir.cms.dmu.ac.uk:9999/People/cph/cphroot.html">cph</A>